﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Xml;

namespace XMLtoXamDateGridExample
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        private XmlDocument _xml;
        
        public Window1()
        {
            InitializeComponent();
            DataContext = this;
            BuildXML();
        }

        public XmlDocument XML { get { return _xml; } }

        private void BuildXML()
        {
            _xml = new XmlDocument();
            XmlDeclaration dec = _xml.CreateXmlDeclaration("1.0", null, null);
            _xml.AppendChild(dec);
            XmlNode root = _xml.CreateElement("Root");
            for (int r = 0; r < 10; r++)//Rows
            {
                XmlNode node = _xml.CreateNode(XmlNodeType.Element, "CompareProperties", null);
                for (int c = 0; c < 3; c++)//Columns
                {   
                    XmlAttribute xAttrib = _xml.CreateAttribute("Row");                    
                    xAttrib.Value = r.ToString();                    
                    node.Attributes.Append(xAttrib);
                    root.AppendChild(node);
                }
            }
            _xml.AppendChild(root);
        }        
    }
}
